## org.red5.io
Interface IStreamableFileFactory

All Superinterfaces:
  IScopeService

All Known Implementing Classes:
  StreamableFileFactory

    public interface IStreamableFileFactory

extends IScopeService

Scope service extension that provides method to get streamable file services set

Field Summary
`static String` `BEAN_NAME`

Method Summary
`IStreamableFileService` `getService(File fp)`
`Set<IStreamableFileService>` `getServices()` Getter for services

Field Detail

### BEAN_NAME

    static final String BEAN_NAME

See Also:
  Constant Field Values

Method Detail

### getService

    IStreamableFileService getService(File fp)

### getServices

    Set<IStreamableFileService> getServices()

  Getter for services

  Returns:
    Set of streamable file services

Copyright © 2006-2010 The Red5 Project